PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Public Types | List of all members
PDevicePluginFactory< AbstractClass, KeyType > Class Template Reference

`#include <plugin.h>`

Inheritance diagram for PDevicePluginFactory< AbstractClass, KeyType >:
[legend]
Collaboration diagram for PDevicePluginFactory< AbstractClass, KeyType >:
[legend]

## Classes
class | Worker

## Public Types
typedef PFactory < AbstractClass, KeyType > | Base_T
typedef Base_T::WorkerBase | WorkerBase_T
Public Types inherited from PFactory< AbstractClass, KeyType >
typedef PFactoryTemplate < AbstractClass, const KeyType &, KeyType > | Base_T
typedef Base_T::WorkerBase | WorkerBase_T
typedef Base_T::Abstract_T | Abstract_T
typedef Base_T::Param_T | Param_T
typedef Base_T::Key_T | Key_T
Public Types inherited from PFactoryTemplate< AbstractClass, const KeyType &, KeyType >
typedef AbstractClass | Abstract_T
typedef const KeyType & | Param_T
typedef KeyType | Key_T
typedef std::vector< Key_T > | KeyList_T
typedef std::map< Key_T, WorkerBase * > | WorkerMap_T
typedef WorkerMap_T::iterator | WorkerIter_T

## Additional Inherited Members
Public Member Functions inherited from PFactory< AbstractClass, KeyType >
| PFACTORY_STATICS (PFactory)
Static Public Member Functions inherited from PFactory< AbstractClass, KeyType >
static Abstract_T * | CreateInstance (const Key_T &key)
template<class Derived_T >
static Derived_T * | CreateInstanceAs (const Key_T &key)
Protected Member Functions inherited from PFactoryTemplate< AbstractClass, const KeyType &, KeyType >
| PFactoryTemplate ()
| ~PFactoryTemplate ()
bool | InternalRegister (const Key_T &key, WorkerBase *worker)
bool | InternalRegister (const Key_T &key, Abstract_T *instance, bool autoDeleteInstance)
PBoolean | InternalRegisterAs (const Key_T &newKey, const Key_T &oldKey)
void | InternalUnregister (const Key_T &key)
void | InternalUnregister (WorkerBase *instance)
void | InternalUnregisterAll ()
bool | InternalIsRegistered (const Key_T &key)
Abstract_T * | InternalCreateInstance (const Key_T &key, Param_T param)
void | InternalDestroy (const Key_T &key, Abstract_T *instance)
bool | InternalIsSingleton (const Key_T &key)
KeyList_T | InternalGetKeyList ()
Static Protected Member Functions inherited from PFactoryBase
static PFactoryBase & | InternalGetFactory (const std::string &className, PFactoryBase *(*createFactory)())
template<class TheFactory >
static PFactoryBase * | CreateFactory ()
template<class TheFactory >
static TheFactory & | GetFactoryAs ()
Protected Attributes inherited from PFactoryTemplate< AbstractClass, const KeyType &, KeyType >
WorkerMap_T | m_workers

## Member Typedef Documentation

template<class AbstractClass , typename KeyType = PDefaultPFactoryKey>

typedef PFactory<AbstractClass, KeyType> PDevicePluginFactory< AbstractClass, KeyType >::Base_T

template<class AbstractClass , typename KeyType = PDefaultPFactoryKey>

typedef Base_T::WorkerBase PDevicePluginFactory< AbstractClass, KeyType >::WorkerBase_T

The documentation for this class was generated from the following file:

- plugin.h